This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 246672 - prelink isn't allowed to access("/proc/sys/kernel/exec-shield", F_OK)
prelink isn't allowed to access("/proc/sys/kernel/exec-shield", F_OK)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 16:02 EDT by Jakub Jelinek
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:10:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2007-07-03 16:02:56 EDT
prelink on i?86/x86_64 checks for presence of /proc/sys/kernel/exec-shield
to see whether --exec-shield or --no-exec-shield should be used by default
to lay out the shared libraries.
While as root I can
cat /proc/sys/kernel/exec-shield
1
ls -l /proc/sys/kernel/exec-shield
-rw-r--r-- 1 root root 0 2007-07-03 13:58 /proc/sys/kernel/exec-shield
when prelink is run, that fails:
strace /usr/sbin/prelink -avmR 2>&1 | grep exec-shield
access("/proc/sys/kernel/exec-shield", F_OK) = -1 EACCES (Permission denied)
while
strace -f runcon -t unconfined_t -- /usr/sbin/prelink -avmR 2>&1 | grep exec-shield
access("/proc/sys/kernel/exec-shield", F_OK) = 0

Can prelink be allowed to read this file, or do I need to do some uglier tricks
in the cron.daily script (such as checking for presence of that file and passing
--exec-shield in that case)?
Comment 1 Daniel Walsh 2007-07-06 11:18:43 EDT
What avc are you seeing?
Comment 2 Daniel Walsh 2007-07-06 11:26:37 EDT
Fixed in selinux-policy-2.6.4-27
Comment 3 Daniel Walsh 2007-08-22 10:10:19 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.